|      类型      |        说明        |                                                             示例                                                             |                                          效果图                                           |
|:--------------:|:------------------:|:----------------------------------------------------------------------------------------------------------------------------:|:-----------------------------------------------------------------------------------------:|
|      text      |     文本编辑器     | { value: 'text', type: 'text' } | ![](/uploads/202405/uploads/custom_component_dev_manual/images/m_e3e109e5589351aed8c01ed557f5f0cd_r.png) |
|  disabledText  |      只读文本      | { value: 'text', type: 'disabledText' } | ![](/uploads/202405/uploads/custom_component_dev_manual/images/m_7c330532b450254dfa4c521f9852e691_r.png) |
|    textarea    |   多行文本编辑器   | { value: 'text', type: 'textarea' } | ![](/uploads/202405/uploads/custom_component_dev_manual/images/m_6d628059f4a0258179048bd7a9e229a3_r.png) |
|      font      |     字体编辑器     | { value: { fontFamily: 'sans-serif', color: '#333', fontSize: 18, fontWeight: 'bolder', fontStyle: 'normal' }, type: 'font'} | ![](/uploads/202405/uploads/custom_component_dev_manual/images/m_e5a05c59473193a3f1ea8c98910acb1d_r.png) |
|      size      |     尺寸编辑器     |  { value:"50px", type:"size" } | ![](/uploads/202405/uploads/custom_component_dev_manual/images/m_7b9c129516c9bf19f1db56d90544e9bb_r.png) |
|  borderRadius  |   边框圆角编辑器   | { value:"3px 3px 3px 3px", type:"borderRadius" } | ![](/uploads/202405/uploads/custom_component_dev_manual/images/m_0705c6e778ceea34ca85e7c67aad2c51_r.png) |
|     range      | 数字可选范围编辑器 | { value:{ min:1, max:50 }, type:"range" } | ![](/uploads/202405/uploads/custom_component_dev_manual/images/m_ff94537d8ad6303e0330158e1495757b_r.png) |
|     offset     |     偏移编辑器     | { value:{ horizontal:4, vertical:2 }, type:"offset" } | ![](/uploads/202405/uploads/custom_component_dev_manual/images/m_6486f862b4629c404c650f38b6cafd44_r.png) |
|    padding     |     内距编辑器     | { value:"5px 10px 5px 10px", type:"padding" } | ![](/uploads/202405/uploads/custom_component_dev_manual/images/m_a4d40c44638cb6f01c2d327fe5a2e54d_r.png) |
|     margin     |     边距编辑器     | { value:"5px 10px 5px 10px", type:"margin" } | ![](/uploads/202405/uploads/custom_component_dev_manual/images/m_79abb8f6b09126be8a6c0e3c5d6357bd_r.png) |
|     border     |     边框编辑器     | { value:"2px solid #000000", type:"border" } | ![](/uploads/202405/uploads/custom_component_dev_manual/images/m_a0d89f89a6aec3ab549a0797d5f8d478_r.png) |
| borderAdvanced |   高级边框编辑器   | { value:"border:2px dotted #000000; border-radius:15px;", type:"borderAdvanced" } | ![](/uploads/202405/uploads/custom_component_dev_manual/images/m_9d6c2c793a5edc95e3d8ee2fbb18cda5_r.png) |
|   boxShadow    |   容器阴影编辑器   | {value: { isNone:false, size:2, color:"#FFFFFF" }, type:"boxShadow"} | ![](/uploads/202405/uploads/custom_component_dev_manual/images/m_4111a9c3e3ea1b2bdda4f271953f73b3_r.png) |
|      file      |     文件选择器     | {value:{name:"新建文本文档",url:"/platform/file/download?attachmentId=1776892211331923969",fillType:"100% 100%"}} | ![](/uploads/custom_component_dev_manual/images/m_a6d2147f50ac3c536c5a69983bcc6a76_r.png) |
|     slider     |     滑块编辑器     | {value: 50} | ![](/uploads/custom_component_dev_manual/images/m_7480fda9b630055c7540238640d8f48b_r.png) |
|      icon      |     图标选择器     | {value: "denglu"} | ![](/uploads/custom_component_dev_manual/images/m_75083525c33a801784d33d309e59ba1f_r.png) |
|    boolean     |        开关        |                                                { value:true, type:'boolean' }                                                | ![](/uploads/202405/uploads/custom_component_dev_manual/images/m_eb5f202c3004e7c09d6e4de1ddded387_r.png) |
|     color      |      颜色拾取      |                                             { value: '#FFFFFF', type: 'color' }                                              | ![](/uploads/202405/uploads/custom_component_dev_manual/images/m_919e25cc0d79541da7c864b4a22f3798_r.png) |
|     select     |        单选        | value:2,options:[{value:1,label:"张三"},{value:2,label:"李四"}] | ![](/uploads/custom_component_dev_manual/images/m_9e4b49fbadf5911b1b02f4ffb146b608_r.png) |
|  dialogSelect  |     弹窗选择器     |  |  |
|      list      |     列表编辑器     |  |  |
|      json      |     json编辑器     | value:{name:"张三",age:18,desc:'开发者自行定义json结构'} | ![](/uploads/custom_component_dev_manual/images/m_7733859741c640598b29f4c42c538f70_r.png) |