# 基础介绍
平台内置100+可视化组件库，包含基础图形、Chart图表、动画、仪表、散点图、折线图、饼图、地理坐标/地图、K线图、雷达图、热力图、3D图等等。包含瀑布图、关系图、雷达图、油量图、热力图、树图等几十种动态交互的图形；支持3D动态图形效果，如3D航线图、3D散点图、3D柱图用于数据可视化展示；支持丰富的Echarts图形控件如轮播控件、跑马灯、TAB页控件、URL控件，可直接使用ECharts所有选项配置；也支持集成其他的HTML5图形控件。

随着企业信息化程度的不断提高，越来越多的企业开始注重定制化需求。而在实际应用中，每个企业都有其特定的需求和流程要求。为了满足这些需求，我们推出了组件库模块。

该模块支持线上编写HTML、CSS、JavaScript、Vue、Sass等代码快速调试及发布自助组件；同时内置custom属性，在画面设计器中自动识别并生成对应图形化属性绑定控件，并支持文本、文件、json、列表等多种属性类型。
除此之外，我们还允许用户自定义组件与暴露给实施人员使用的设置项。这意味着您可以根据具体情况灵活地扩展自己的业务组件，并将其直接拖放到画面中以供使用。

# 功能优势
1. 支持线上编写HTML/CSS/JavaScript/Vue/Sass等代码
通过在线编辑器可进行即时预览效果，并且能够方便地修改和保存代码。这使得开发者可以更加高效地创建和优化页面设计和交互体验。

2. 组件内置custom属性
该功能是针对于需要频繁变更或者需要配置参数较多的场景所开发。它能够帮助用户在画面设计器中轻松添加新控件或修改现有控件参数值。

3. 组件属性支持多种类型
包括文本、文件、json数据结构等各种类型，从而可以适配不同场景下的数据传输方式。

4. 自定义扩展性强
由于每个企业都有其特殊需求和流程要求，因此我们允许用户根据具体情况灵活扩展自己的业务组件，并将其直接拖放到画面中以供使用。这样就大大增强了系统可塑性与适用范围。

5. 使用组件库的优势
随着时间推移和积累经验，在未来更多画面实施中会出现越来越多可被复用的业务组件。这些组件大大提高了实施效率并降低了成本。
组件支持多版本与热部署无需重启系统服务无需担心影响整个系统运行。

# 示例截图
![](/uploads/202405/uploads/custom_component_dev_manual/images/m_00791f45a543606178f42909bd8f4a0a_r.png)

![](/uploads/202405/uploads/custom_component_dev_manual/images/m_0ff08c016bcce65e81e6b7ee19a98ed2_r.png)

![](/uploads/202405/uploads/custom_component_dev_manual/images/m_942c7bc66f4dbc9bca75622a53bdaf0d_r.png)